package com.steerinfo.baseinfo.meterbasemutualdiff.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.baseinfo.meterbasemutualdiff.model.MeterBaseMutualDiff;

import java.util.List;

/**
 * MeterBaseMutualDiff服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-06-18 02:08
 * 类描述
 * 修订历史：
 * 日期：2020-06-18
 * 作者：generator
 * 参考：
 * 描述：MeterBaseMutualDiff服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterBaseMutualDiffService extends IBaseService<MeterBaseMutualDiff, String>{
     String checkandadd(MeterBaseMutualDiff model);

     String Recovery(MeterBaseMutualDiff model);

     String abolish(MeterBaseMutualDiff model);

    String checkandupdate(MeterBaseMutualDiff model);

    List<MeterBaseMutualDiff> doQueryWf(MeterBaseMutualDiff model);
}